Ext.define("reportPluginExample.BasicDatasource",{
	extend: "Ext.form.Panel",
	border: false,
	items: [],
	autoScroll: true,
	config: {
		templateID: null,
		fromIssueNavigator: null,
		workItemID: null,
		dashboardID: null,
		dashboardProjectReleaseID: null,
		datasourceType: null,
		datasourceTypeName: null,
		datasourceTypeOptions: null,
		projectOrReleaseID: null,
        projectReleaseTree: null,
		projectOrReleaseIDName: null,
		filterID: null,
        filterTree: null,
		filterIDName: null
	},
	bodyStyle:{
		padding:'10px'
	},
	width: 350,
	labelWidth: 150,
	labelAlign: 'right',
	labelStyle: {overflow:'hidden'},
	datasourceRadioGroup: null,
	releasePicker: null,
	queryPicker: null,
	initComponent: function() {
		this.callParent();
		var datasourceDisabled = false;
		if (this.templateID!=null) {
			this.add(CWHF.createHiddenField("templateID", {value:this.templateID}));
		}
		if (this.fromIssueNavigator) {
			datasourceDisabled = true;
			this.add(CWHF.createHiddenField("fromIssueNavigator", {value:this.fromIssueNavigator}));
		}
		if (this.workItemID!=null) {
			datasourceDisabled = true;
			this.add(CWHF.createHiddenField("workItemID", {value:this.workItemID}));
		}
		if (this.dashboardID!=null) {
			this.add(CWHF.createHiddenField("dashboardID", {value:this.dashboardID}));
		}
		if (this.dashboardProjectReleaseID!=null) {
			this.add(CWHF.createHiddenField("projectID", {value:this.dashboardProjectReleaseID}));
			datasourceDisabled = true;
		}
		var datasourceList = CWHF.getRadioButtonItems(this.datasourceTypeOptions, 
				this.datasourceTypeName, 'id', 'label', this.datasourceType, false, false);
		this.datasourceRadioGroup = CWHF.getRadioGroup("datasourceType",
					"common.prompt.datasourceType", this.width, datasourceList,
					{disabled: datasourceDisabled,
					labelWidth: this.labelWidth,
					labelAlign: this.labelAlign,
					labelStyle: this.labelStyle},
					{change: {fn: this.datasourceTypeChanged, scope:this}}); 
		this.add(this.datasourceRadioGroup);
	    this.releasePicker = CWHF.createSingleTreePicker("common.prompt.projectsReleases",
            this.projectOrReleaseIDName, this.projectReleaseTree, this.projectOrReleaseID,
            {allowBlank: false,
             disabled: datasourceDisabled || this.datasourceType!=1,
             labelWidth: this.labelWidth,
             labelAlign: this.labelAlign,
             labelStyle: this.labelStyle,
             width: this.width,
             margin:'0 0 5 0'
            });
		this.add(this.releasePicker);
        this.queryPicker = CWHF.createSingleTreePicker("common.lbl.query",
            this.filterIDName, this.filterTree, this.filterID,
            {allowBlank: false,
                disabled: datasourceDisabled || this.datasourceType==1,
                labelWidth: this.labelWidth,
                labelAlign: this.labelAlign,
                labelStyle: this.labelStyle,
                width: this.width,
                margin:'0 0 5 0'
            });
		this.add(this.queryPicker);
	},
	
	datasourceTypeChanged: function(radioGroup, newValue, oldValue, options){
		var checkedArr = radioGroup.getChecked();
		if (checkedArr.length==1) {
			var checkedRadio = checkedArr[0];
			var value=checkedRadio.getSubmitValue();
			this.releasePicker.setDisabled(value!=1);
			this.queryPicker.setDisabled(value==1);
		}
	}
});
