Ext.define("reportPluginExample.Meeting",{
	extend: "Ext.form.Panel",
	border: false,
	items: [],
	autoScroll: true,
	config: {
		templateID: null,
		meeting: null,
		meetingName: null,
		meetingOptions: null,
		onlyActiveMeetings: true,
		onlyActiveMeetingsName: null,
		onlyNotClosedChildren: true,
		onlyNotClosedChildrenName: null,
		projectOrReleaseID: null,
		projectOrReleaseLabel: null,
		projectOrReleaseIDName: null,
		filterID: null,
		filterLabel: null,
		filterIDName: null
	},
	bodyStyle:{
		padding:'10px'
	},
	width: 350,
	labelWidth: 150,
	labelAlign: 'right',
	labelStyle: {overflow:'hidden'},
	meetingsCombo: null,
	initComponent: function() {
		this.callParent();
		if (this.templateID!=null) {
			this.add(CWHF.createHiddenField("templateID", {value:this.templateID}));
		}
		this.meetingsCombo = CWHF.createCombo("meeting.prompt.meeting", this.meetingName, {value: this.meeting,
			data: this.meetingOptions,
			labelWidth: this.labelWidth,
			labelAlign: this.labelAlign,
			labelStyle: this.labelStyle,
			width: this.width},
			{select: {fn:this.costCenterSelect, scope:this}}); 
		this.add(this.meetingsCombo);
		this.add(CWHF.createCheckbox("meeting.prompt.onlyActiveMeeting", this.onlyActiveMeetingsName,
				{value:this.onlyActiveMeetings,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width},
			{change: {fn: this.reloadMeetings,
				scope:this
				}}));
		this.add(CWHF.createCheckbox("meeting.prompt.onlyActiveChildren", this.onlyNotClosedChildrenName,
				{value:this.onlyNotClosedChildren,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width
			}));
	},
	
	reloadMeetings: function(checkboxField, newValue, oldValue, options) {
		var params = {templateID: this.templateID};
		params[this.meetingName] = this.meetingsCombo.getValue();
		params[this.onlyActiveMeetingsName] = newValue;
		Ext.Ajax.request({
			url: 'reportDatasource!refreshParameters.action',
			params: params,
			scope: this,
			disableCaching:true,
			success: function(response) {
				var responseJson = Ext.decode(response.responseText);
				this.meetingsCombo.getStore().loadData(responseJson["meetingOptions"]);
				this.meetingsCombo.setValue(responseJson[this.meetingName]);
			},
			failure: function(result) {
				Ext.MessageBox.alert(getText('common.err.failure'), result.responseText);
			}
		})
	}
});
