Ext.define("reportPluginExample.TimePeriod",{
	extend: "reportPluginExample.BasicDatasource",
	config: {
		periodTypeOptions: null,
		periodType: null,
		periodTypeName:null,
		dateFrom: null,
		dateFromName: null,
		dateTo: null,
		dateToName: null,
		daysBefore: null,
		daysBeforeName: null
	},
	FROM_TO: 1,
	DAYS_BEFORE: 2,
	CURRENT_MONTH: 3,
	LAST_MONTH: 4,
	dateFromPicker: null,
	dateToPicker: null,
	daysBefore: null,
	dateDaysWidth: 250,
	initComponent: function() {
		this.callParent();
		Ext.Array.forEach(this.periodTypeOptions, function(periodTypeOption, index) {
				periodTypeOption.label = getText(periodTypeOption.label);
			}, this);
		this.add(CWHF.createCombo("common.prompt.periodType", this.periodTypeName,
				{value:this.periodType,
				data:this.periodTypeOptions,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.width},
				{select: {fn: this.periodTypeChanged, scope:this}}));
		this.dateFromPicker = CWHF.createDateField('common.prompt.dateFrom', this.dateFromName,
				{value:this.dateFrom,
				disabled:this.periodType!=this.FROM_TO,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				submitFormat: com.trackplus.TrackplusConfig.DateFormat,
				width: this.dateDaysWidth});
		this.add(this.dateFromPicker);
		this.dateToPicker = CWHF.createDateField('common.prompt.dateTo', this.dateToName,
				{value:this.dateTo,
				disabled:this.periodType!=this.FROM_TO,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				submitFormat: com.trackplus.TrackplusConfig.DateFormat,
				width: this.dateDaysWidth}); 
		this.add(this.dateToPicker);
		this.daysBeforePicker = CWHF.createNumberField("common.prompt.daysBefore", this.daysBeforeName, 0, null, null,
				{value:this.daysBefore,
				disabled:this.periodType!=this.DAYS_BEFORE,
				labelWidth: this.labelWidth,
				labelAlign: this.labelAlign,
				labelStyle: this.labelStyle,
				width: this.dateDaysWidth});
		this.add(this.daysBeforePicker);
	},
	
	periodTypeChanged: function(combo, records, options) {
		var periodType = combo.getValue();
		this.dateFromPicker.setDisabled(periodType!=this.FROM_TO);
		this.dateToPicker.setDisabled(periodType!=this.FROM_TO);
		this.daysBeforePicker.setDisabled(periodType!=this.DAYS_BEFORE);
	}
});
